/**
 * 
 */
package jalview.ws.dbsources;

import jalview.ws.seqfetcher.DbSourceProxy;

/**
 * flyweight class specifying retrieval of Seed alignments from PFAM
 * @author JimP
 *
 */
public class PfamSeed extends Pfam implements DbSourceProxy
{
  public PfamSeed()
  {
    super();
  }

  /* (non-Javadoc)
   * @see jalview.ws.dbsources.Pfam#getPFAMURL()
   */
  protected String getPFAMURL()
  {
    return "http://pfam.sanger.ac.uk/family/alignment/download/format?alnType=seed&format=stockholm&order=t&case=l&gaps=default&entry=";
  }

  /* (non-Javadoc)
   * @see jalview.ws.seqfetcher.DbSourceProxy#getDbName()
   */
  public String getDbName()
  {
    return "PFAM (Seed)";
  }
  public String getDbSource()
  {
    return jalview.datamodel.DBRefSource.PFAM; // archetype source
  }
  public String getTestQuery()
  {
    return "PF00535";
  }

}
